package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.TagModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 华为预定义标签
 * 
 * @author hp
 *
 */
public interface PredefineTagsProvider extends SuperProvider {

	default BocloudResult list() {
		return new BocloudResult(false, "暂未开发！");
	}

	default BocloudResult create(TagModel model) {
		return new BocloudResult(false, "暂未开发！");
	}

	default BocloudResult modify(TagModel newModel, TagModel oldModel) {
		return new BocloudResult(false, "暂未开发！");
	}

	default BocloudResult remove(TagModel model) {
		return new BocloudResult(false, "暂未开发！");
	}
}
